> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# GSTR-2A CDN

> Get all credit/debit notes in GSTR-2A for a return period for authenticated taxpayer

#### Response schema

For successful responses, these resources describe the GSTN payload at `data.data`.

<Card title="View JSON schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/gstr-2a/cdn.json" arrow="true" horizontal />

<Card title="View Excel field reference" icon="file-spreadsheet" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/workbook/taxpayer/gstr-2a/cdn-v2.0.xlsx" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2a/cdn/{year}/{month}
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/gstr-2a/cdn/{year}/{month}:
    get:
      tags:
        - Taxpayer
        - Returns
        - GSTR-2A Documents
      summary: GSTR-2A CDN
      description: >-
        Get all credit/debit notes in GSTR-2A for a return period for
        authenticated taxpayer
      operationId: getGstr2aCdn
      parameters:
        - name: year
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: month
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: from
          in: query
          description: Filter to fetch data from specified date. E.g., 28/01/2025
          required: false
          schema:
            type: string
            example: 29/01/2025
        - name: counterparty_gstin
          in: query
          description: Filter by supplier / counterparty GSTIN
          required: false
          schema:
            type: string
            example: '{{ctin}}'
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      responses:
        '200':
          description: 200 Success / RET13509 No data found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGstr2aCdnResponse'
              examples:
                200 Success:
                  summary: 200 Success
                  value:
                    code: 200
                    data:
                      status_cd: '1'
                      data:
                        cdn:
                          - cfs: 'Y'
                            cfs3b: 'Y'
                            ctin: 07ABCCA9123A1YZ
                            fldtr1: 11-Jan-24
                            flprdr1: Dec-23
                            nt:
                              - chksum: >-
                                  62e70374990b3cef19e36d4eee08cd033c63811ddbf7d27601b9a4b83786dbf1
                                d_flag: 'Y'
                                inv_typ: R
                                irn: >-
                                  x4dftn9my4a2fc97799229784bd7e98f57109db58f5cb674f534618c9e2fde51
                                irngendate: 13-12-2023
                                itms:
                                  - itm_det:
                                      camt: 0
                                      iamt: 561.05
                                      rt: 18
                                      samt: 0
                                      txval: 3116.94
                                    num: 1
                                nt_dt: 13-12-2023
                                nt_num: ACN2324000103340
                                ntty: C
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 3677.99
                              - chksum: >-
                                  c9cf8df2a4ebb548eeed7c373e6e4760416dc13520de43a1b26f4036f83d2a73
                                d_flag: 'Y'
                                inv_typ: R
                                irn: >-
                                  x4dftn9my4eb8bbc314c0ef223d54402ebf09a4368735bb3bdc2159994de0543
                                irngendate: 13-12-2023
                                itms:
                                  - itm_det:
                                      camt: 0
                                      iamt: 961.11
                                      rt: 18
                                      samt: 0
                                      txval: 5339.48
                                    num: 1
                                nt_dt: 13-12-2023
                                nt_num: ACN2324000103368
                                ntty: C
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 6300.59
                              - chksum: >-
                                  fd69021e1d2e13e5044855accbaaae6c9b770a0a7330f30f9c9fb5a70914c587
                                d_flag: 'Y'
                                inv_typ: R
                                irn: >-
                                  x4dftn9my4a2b71831e89eba6742a7035660560559843936076fd0466cb6e2c2
                                irngendate: 13-12-2023
                                itms:
                                  - itm_det:
                                      camt: 0
                                      iamt: 46380.95
                                      rt: 18
                                      samt: 0
                                      txval: 257671.97
                                    num: 1
                                nt_dt: 13-12-2023
                                nt_num: ACN2324000103394
                                ntty: C
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 304052.92
                              - chksum: >-
                                  9d01418f52927eae3b7439571a395472876b28d91ac0c75e0c3014e7587023e4
                                d_flag: 'Y'
                                inv_typ: R
                                irn: >-
                                  x4dftn9my4fca1a9feeac080875d8fbcb0b2367c00b582c60485119a375ce80f
                                irngendate: 13-12-2023
                                itms:
                                  - itm_det:
                                      camt: 0
                                      iamt: 17349.93
                                      rt: 18
                                      samt: 0
                                      txval: 96388.48
                                    num: 1
                                nt_dt: 13-12-2023
                                nt_num: ACN2324000103426
                                ntty: C
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 113738.41
                              - chksum: >-
                                  ac2f16c2039f07d75db508c9acfe448cd177963a08ad8228e28cbd066ebad18b
                                d_flag: 'Y'
                                inv_typ: R
                                irn: >-
                                  x4dftn9my4a50837c18b84b9cc52a5c6423b4afa05dcbf1454ef98aa88206d5d
                                irngendate: 13-12-2023
                                itms:
                                  - itm_det:
                                      camt: 0
                                      iamt: 17533.22
                                      rt: 18
                                      samt: 0
                                      txval: 97406.76
                                    num: 1
                                nt_dt: 13-12-2023
                                nt_num: ACN2324000103435
                                ntty: C
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 114939.98
                    timestamp: 1763446641000
                    transaction_id: f44b271e-fff6-45dd-ab62-d9c224a623e8
                RET13509 No data found:
                  summary: RET13509 No data found
                  value:
                    code: 200
                    data:
                      status_cd: '0'
                      error:
                        error_cd: RET13509
                        message: No document found for the provided Inputs
                    timestamp: 1763446641000
                    transaction_id: 6476839b-7222-406f-ba66-ce26f8235e46
                200 Success 2:
                  summary: 200 Success 2
                  value:
                    transaction_id: 41bb8041-fb83-4654-8d75-85a19f329158
                    code: 200
                    data:
                      status_cd: '1'
                      data:
                        cdn:
                          - cfs: 'Y'
                            nt:
                              - val: 3677.99
                                itms:
                                  - num: 1
                                    itm_det:
                                      samt: 0
                                      rt: 18
                                      txval: 3116.94
                                      camt: 0
                                      iamt: 561.05
                                irn: >-
                                  x4dftn9my4a2fc97799229784bd7e98f57109db58f5cb674f534618c9e2fde51
                                d_flag: 'Y'
                                nt_num: ACN2324000103340
                                irngendate: 13-12-2023
                                nt_dt: 13-12-2023
                                inv_typ: R
                                pos: '24'
                                srctyp: E-Invoice
                                ntty: C
                                rchrg: 'N'
                                chksum: >-
                                  62e70374990b3cef19e36d4eee08cd033c63811ddbf7d27601b9a4b83786dbf1
                              - val: 6300.59
                                itms:
                                  - num: 1
                                    itm_det:
                                      samt: 0
                                      rt: 18
                                      txval: 5339.48
                                      camt: 0
                                      iamt: 961.11
                                irn: >-
                                  x4dftn9my4eb8bbc314c0ef223d54402ebf09a4368735bb3bdc2159994de0543
                                d_flag: 'Y'
                                nt_num: ACN2324000103368
                                irngendate: 13-12-2023
                                nt_dt: 13-12-2023
                                inv_typ: R
                                pos: '24'
                                srctyp: E-Invoice
                                ntty: C
                                rchrg: 'N'
                                chksum: >-
                                  c9cf8df2a4ebb548eeed7c373e6e4760416dc13520de43a1b26f4036f83d2a73
                              - val: 304052.92
                                itms:
                                  - num: 1
                                    itm_det:
                                      samt: 0
                                      rt: 18
                                      txval: 257671.97
                                      camt: 0
                                      iamt: 46380.95
                                irn: >-
                                  x4dftn9my4a2b71831e89eba6742a7035660560559843936076fd0466cb6e2c2
                                d_flag: 'Y'
                                nt_num: ACN2324000103394
                                irngendate: 13-12-2023
                                nt_dt: 13-12-2023
                                inv_typ: R
                                pos: '24'
                                srctyp: E-Invoice
                                ntty: C
                                rchrg: 'N'
                                chksum: >-
                                  fd69021e1d2e13e5044855accbaaae6c9b770a0a7330f30f9c9fb5a70914c587
                              - val: 113738.41
                                itms:
                                  - num: 1
                                    itm_det:
                                      samt: 0
                                      rt: 18
                                      txval: 96388.48
                                      camt: 0
                                      iamt: 17349.93
                                irn: >-
                                  x4dftn9my4fca1a9feeac080875d8fbcb0b2367c00b582c60485119a375ce80f
                                d_flag: 'Y'
                                nt_num: ACN2324000103426
                                irngendate: 13-12-2023
                                nt_dt: 13-12-2023
                                inv_typ: R
                                pos: '24'
                                srctyp: E-Invoice
                                ntty: C
                                rchrg: 'N'
                                chksum: >-
                                  9d01418f52927eae3b7439571a395472876b28d91ac0c75e0c3014e7587023e4
                              - val: 114939.98
                                itms:
                                  - num: 1
                                    itm_det:
                                      samt: 0
                                      rt: 18
                                      txval: 97406.76
                                      camt: 0
                                      iamt: 17533.22
                                irn: >-
                                  x4dftn9my4a50837c18b84b9cc52a5c6423b4afa05dcbf1454ef98aa88206d5d
                                d_flag: 'Y'
                                nt_num: ACN2324000103435
                                irngendate: 13-12-2023
                                nt_dt: 13-12-2023
                                inv_typ: R
                                pos: '24'
                                srctyp: E-Invoice
                                ntty: C
                                rchrg: 'N'
                                chksum: >-
                                  ac2f16c2039f07d75db508c9acfe448cd177963a08ad8228e28cbd066ebad18b
                            ctin: 07ABCCA9123A1YZ
                            fldtr1: 11-Jan-24
                            cfs3b: 'Y'
                            flprdr1: Dec-23
                    timestamp: 1776921876217
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetGstr2aCdnResponse:
      oneOf:
        - $ref: '#/components/schemas/GetGstr2aCdnSuccessResponse'
        - $ref: '#/components/schemas/GstnBusinessErrorResponse'
      description: >-
        A GSTN success or GSTN business-failure response. Both variants use HTTP
        200.
    GetGstr2aCdnSuccessResponse:
      allOf:
        - $ref: '#/components/schemas/TaxpayerResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              description: The GSTN success wrapper.
              required:
                - status_cd
                - data
              properties:
                status_cd:
                  type: string
                  enum:
                    - '1'
                  description: GSTN success status.
                  example: '1'
                data:
                  $ref: '#/components/schemas/GetGstr2aCdnSuccessPayload'
    GstnBusinessErrorResponse:
      type: object
      description: HTTP 200 response containing a GSTN business failure.
      required:
        - code
        - timestamp
        - transaction_id
        - data
      properties:
        code:
          type: integer
          description: The HTTP status code reported in the response body.
          enum:
            - 200
          example: 200
        timestamp:
          type: integer
          format: int64
          description: The response timestamp in Unix epoch milliseconds.
          example: 1763446641000
        transaction_id:
          type: string
          description: The transaction identifier used to trace the request.
          example: 41bb8041-fb83-4654-8d75-85a19f329158
        data:
          type: object
          description: The GSTN business-failure wrapper.
          required:
            - status_cd
            - error
          properties:
            status_cd:
              type: string
              enum:
                - '0'
              description: GSTN business-failure status.
              example: '0'
            error:
              $ref: '#/components/schemas/GstnBusinessError'
    TaxpayerResponseMetadata:
      type: object
      description: Fields included in every taxpayer endpoint response.
      required:
        - code
        - timestamp
        - transaction_id
      properties:
        code:
          type: integer
          description: The HTTP status code reported in the response body.
          enum:
            - 200
          example: 200
        timestamp:
          type: integer
          format: int64
          description: The response timestamp in Unix epoch milliseconds.
          example: 1763446641000
        transaction_id:
          type: string
          description: The transaction identifier used to trace the request.
          example: 41bb8041-fb83-4654-8d75-85a19f329158
    GetGstr2aCdnSuccessPayload:
      type: object
      description: Successful GSTN payload for Get Gstr2a Cdn.
      properties:
        cdn:
          type: array
          description: The cdn value returned by GSTN.
          items:
            type: object
            properties:
              cfs:
                type: string
                description: R1_Fil_Status
              cfs3b:
                type: string
                description: R3B_Fil_Status
              dtcancel:
                type: string
                description: Date of cancellation of supplier
              ctin:
                type: string
                description: Counter party gstin
              fldtr1:
                type: string
                description: Date of filing GSTR1/5 of supplier
              flprdr1:
                type: string
                description: Filing period of GSTR1/5 of supplier
              nt:
                type: array
                description: The nt value returned by GSTN.
                items:
                  type: object
                  properties:
                    chksum:
                      type: string
                      description: Checksum
                    idt:
                      type: string
                      description: Involice date
                    inum:
                      type: string
                      description: Involice number
                    val:
                      type: number
                      description: Note Value
                    pos:
                      type: string
                      description: >-
                        Maintained in GST System common database POS as provided
                        in law / actual provision of service.
                    rchrg:
                      type: string
                      description: Reverse Charge
                    aspd:
                      type: string
                      description: Return period in which note is amended
                    atyp:
                      type: string
                      description: flag to determine type of amendment
                    inv_typ:
                      type: string
                      description: tax payer action
                      enum:
                        - R
                        - DE
                        - SEWP
                        - SEWOP
                        - CBW
                    d_flag:
                      type: string
                      description: delink flag
                    itms:
                      type: array
                      description: The itms value returned by GSTN.
                      items:
                        type: object
                        properties:
                          itm_det:
                            type: object
                            description: The itm det value returned by GSTN.
                            properties:
                              camt:
                                type: number
                                description: CGST amount
                              csamt:
                                type: number
                                description: CESS amount
                              iamt:
                                type: number
                                description: IGST amount
                              samt:
                                type: number
                                description: SGST amount
                              txval:
                                type: number
                                description: Taxval amount
                              rt:
                                type: number
                                description: Tax rate
                          num:
                            type: integer
                            description: Item number
                    nt_dt:
                      type: string
                      description: note date
                    nt_num:
                      type: string
                      description: note number
                    p_gst:
                      type: string
                      description: Pre GST Regime Dr./ Cr. Notes
                    ntty:
                      type: string
                      description: note type
                    diff_percent:
                      type: number
                      description: Differential percentage
                    updby:
                      type: string
                      description: uploaded by
                    cflag:
                      type: string
                      description: counter party flag
                    irn:
                      type: string
                      description: The irn value returned by GSTN.
                      example: >-
                        x4dftn9my4a2fc97799229784bd7e98f57109db58f5cb674f534618c9e2fde51
                    irngendate:
                      type: string
                      description: The irngendate value returned by GSTN.
                      example: 13-12-2023
                    srctyp:
                      type: string
                      description: The srctyp value returned by GSTN.
                      example: E-Invoice
    GstnBusinessError:
      type: object
      description: A business error returned by GSTN.
      required:
        - error_cd
        - message
      properties:
        error_cd:
          type: string
          description: The GSTN business error code.
          example: RET11416
        message:
          type: string
          description: A human-readable description of the GSTN business error.
          example: No records found.

````